Loading...
Searching...
No Matches
rowcol.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | VXRES(gs)
#define | VYRES(gs)
#define | VROWS(gs)
#define | VCOLS(gs)
#define | DRC2OFF(gs, drow, dcol)
#define | Y2DROW(gs, py)
#define | X2DCOL(gs, px)
#define | XY2OFF(gs, px, py)
#define | Y2VROW(gs, py)
#define | X2VCOL(gs, px)
#define | VROW2DROW(gs, vrow)
#define | VCOL2DCOL(gs, vcol)
#define | DROW2Y(gs, drow)
#define | DCOL2X(gs, dcol)
#define | VROW2Y(gs, vrow)
#define | VCOL2X(gs, vcol)

## Macro Definition Documentation

## DCOL2X

#define DCOL2X | ( |  | gs,
|  |  | dcol )

Value:
((dcol) * gs->xres)

Definition at line 36 of file rowcol.h.

Referenced by get_diag_intersects().

## DRC2OFF

#define DRC2OFF | ( |  | gs,
|  |  | drow,
|  |  | dcol )

Value:
(int)((dcol) + (drow) * gs->cols)

Definition at line 17 of file rowcol.h.

Referenced by calc_norm(), get_diag_intersects(), get_horz_intersects(), get_vert_intersects(), GS_get_cat_at_xy(), GS_get_norm_at_xy(), GS_get_val_at_xy(), and viewcell_tri_interp().

## DROW2Y

#define DROW2Y | ( |  | gs,
|  |  | drow )

Value:
(gs->yrange - ((drow) * gs->yres))

Definition at line 35 of file rowcol.h.

Referenced by get_diag_intersects().

## VCOL2DCOL

#define VCOL2DCOL | ( |  | gs,
|  |  | vcol )

Value:
(int)(gs->x_mod * (vcol))

Definition at line 32 of file rowcol.h.

Referenced by GS_get_cat_at_xy(), GS_get_norm_at_xy(), GS_get_val_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().

## VCOL2X

#define VCOL2X | ( |  | gs,
|  |  | vcol )

Value:
((vcol) * gs->xres * gs->x_mod)

Definition at line 40 of file rowcol.h.

Referenced by get_diag_intersects(), get_vert_intersects(), gs_clip_segment(), gs_point_in_region(), gs_point_is_masked(), in_vregion(), seg_intersect_vregion(), and viewcell_tri_interp().

## VCOLS

#define VCOLS | ( |  | gs | ) |

Value:
(int)((gs->cols - 1) / gs->x_mod)

Definition at line 14 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), get_vert_intersects(), gs_calc_normals(), gs_clip_segment(), gs_point_in_region(), gs_point_is_masked(), gsd_coarse_surf_map(), gsd_display_fringe(), gsd_fringe_horiz_line(), gsd_fringe_horiz_line2(), gsd_fringe_horiz_poly(), gsd_norm_arrows(), gsd_surf_const(), gsd_surf_map(), gsd_surf_map_old(), in_vregion(), seg_intersect_vregion(), and viewcell_tri_interp().

## VROW2DROW

#define VROW2DROW | ( |  | gs,
|  |  | vrow )

Value:
(int)(gs->y_mod * (vrow))

Definition at line 31 of file rowcol.h.

Referenced by GS_get_cat_at_xy(), GS_get_norm_at_xy(), GS_get_val_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().

## VROW2Y

#define VROW2Y | ( |  | gs,
|  |  | vrow )

Value:
(gs->yrange - ((vrow) * gs->yres * gs->y_mod))

Definition at line 39 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), gs_clip_segment(), gs_point_in_region(), gs_point_is_masked(), gsd_draw_cplane_fence(), in_vregion(), seg_intersect_vregion(), and viewcell_tri_interp().

## VROWS

#define VROWS | ( |  | gs | ) |

Value:
(int)((gs->rows - 1) / gs->y_mod)

Definition at line 13 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), get_vert_intersects(), gs_calc_normals(), gs_clip_segment(), gs_point_in_region(), gs_point_is_masked(), gsd_coarse_surf_map(), gsd_display_fringe(), gsd_fringe_vert_line(), gsd_fringe_vert_poly(), gsd_norm_arrows(), gsd_surf_const(), gsd_surf_map(), gsd_surf_map_old(), in_vregion(), seg_intersect_vregion(), and viewcell_tri_interp().

## VXRES

#define VXRES | ( |  | gs | ) |

Value:
(gs->x_mod * gs->xres)

Definition at line 9 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), GS_draw_flowline_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().

## VYRES

#define VYRES | ( |  | gs | ) |

Value:
(gs->y_mod * gs->yres)

Definition at line 10 of file rowcol.h.

Referenced by get_diag_intersects(), get_vert_intersects(), GS_draw_flowline_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().

## X2DCOL

#define X2DCOL | ( |  | gs,
|  |  | px )

Value:
(int)((px) / gs->xres)

Definition at line 21 of file rowcol.h.

## X2VCOL

#define X2VCOL | ( |  | gs,
|  |  | px )

Value:
(int)((px) / (gs->xres * gs->x_mod))

Definition at line 28 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), get_vert_intersects(), GS_get_cat_at_xy(), GS_get_norm_at_xy(), GS_get_val_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().

## XY2OFF

#define XY2OFF | ( |  | gs,
|  |  | px,
|  |  | py )

Value:
(int)DRC2OFF(gs, Y2DROW(gs, py), X2DCOL(gs, px))
X2DCOL
#define X2DCOL(gs, px)
Definition rowcol.h:21
DRC2OFF
#define DRC2OFF(gs, drow, dcol)
Definition rowcol.h:17
Y2DROW
#define Y2DROW(gs, py)
Definition rowcol.h:20

Definition at line 24 of file rowcol.h.

Referenced by gsd_triangulated_wall().

## Y2DROW

#define Y2DROW | ( |  | gs,
|  |  | py )

Value:
(int)((gs->yrange - (py)) / gs->yres)

Definition at line 20 of file rowcol.h.

## Y2VROW

#define Y2VROW | ( |  | gs,
|  |  | py )

Value:
(int)((gs->yrange - (py)) / (gs->yres * gs->y_mod))

Definition at line 27 of file rowcol.h.

Referenced by get_diag_intersects(), get_horz_intersects(), get_vert_intersects(), GS_get_cat_at_xy(), GS_get_norm_at_xy(), GS_get_val_at_xy(), gs_point_is_masked(), and viewcell_tri_interp().